# measure

计量支付系统

---

## node.js 的版本需要  14.18+

```shell

// 检查你的node版本, 如果低于 14.18, 请先更新node.js

node -v

```

---

### 推荐使用  `pnpm` 管理依赖

如果电脑上还没有安装 `pnpm` ，执行以下命令安装 `pnpm`

``` shell
npm install -g pnpm

//或者

cnpm install -g pnpm
```

然后在 此项目下 执行

```shell
pnpm i

// 或者

pnpm install
```

---

### `pnpm` 的相关命令

安装依赖

```shell
pnpm add 依赖名

// 或者
pnpm add -D 依赖名
```


删除依赖

```shell
pnpm remove 依赖名

// 或者
pnpm rm 依赖名
```

检测依赖更新

```shell
pnpm --interactive update --latest
```

js-fast-way 文档

- **[文档地址](https://js-fast-way.vercel.app/)**
- **[国内文档地址](http://izaizaiaa.gitee.io/js-fast-way)**

---

### 打包说明

`build:zip` 为一键打包为zip的方式
`build:zip:wgt` 为一键打包为zip的方式（不包含 `/public/plugins` 文件夹）

`build:test` 为一键打包，然后自动上传到测试服务器上并自动部署的方式
`build:test:wgt` 为一键打包，然后自动上传到测试服务器上并自动部署的方式（不包含 `/public/plugins` 文件夹）

### 其它说明

一般来说，`/public/plugins` 很少出现变动的情况。

在服务器上更新时，请注意，不要删除服务器上存在的 `plugins`，否则会出现异常。

如果本地 `/public/plugins` 文件夹 有变动，请使用 非 `wgt` 的打包方式

### 代码规范说明

项目启用了 `eslint` 作为代码规范检测

在 `vscode` 中，需要安装 `eslint` 插件，并且在 `settings.json` 中添加以下配置

```json
{
    "eslint.autoFixOnSave": true,
    "eslint.validate": [
        "javascript",
        "javascriptreact",
        {
            "language": "html",
            "autoFix": true
        },
        {
            "language": "vue",
            "autoFix": true
        }
    ],
    "editor.codeActionsOnSave": {
        "source.fixAll.eslint": true
    }
}
```

这时，在保存代码时，会自动格式化和处理掉一些不规范的代码，但这并不是准确的，保存后，请再检查下，是否有存在不合理的地方，进行手动优化。

在 `webstorm` 中，不需要安装插件，打开 webstorm 设置，语言和框架，`eslint`，勾选自动，再勾选保存时运行，即可。


